/******************************************************************************
 * DoubleQuestion - Helper for doubling messages.
 * $Id: DoubleQuestion.java,v 1.2 2011/05/31 15:25:49 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: DoubleQuestion.java,v $
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import net.sourceforge.jibs.server.JibsQuestion;

/** Helper for doubling messages.
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 15:25:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/util/DoubleQuestion.java">cvs DoubleQuestion.java</a>
 */
public class DoubleQuestion implements JibsQuestion {
	private int cubeNew;
	private int cubeOld;

	public DoubleQuestion(int cubeNew, int cubeOld) {
		this.cubeNew = cubeNew;
		this.cubeOld = cubeOld;
	}

	public int getCubeNew() {
		return cubeNew;
	}

	public void setCube(int cube) {
		this.cubeNew = cube;
	}

	public int getCubeOld() {
		return cubeOld;
	}
}
