/******************************************************************************
 * JibsSet.java - A HashMap of attributes mostly pertaining to the board and stuff
 * $Id: JibsSet.java,v 1.2 2011/05/31 15:25:49 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: JibsSet.java,v $
 * Revision 1.2  2011/05/31 15:25:49  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.util;

import org.apache.log4j.Logger;

import java.util.HashMap;
import java.util.Map;

/** A HashMap of attributes mostly pertaining to the board and stuff.
 * This is only used for outputting the boardstyle.
 * These are the client set attributes. "set boardstyle 3"
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @since 2005/03/30
 * @version $Revision: 1.2 $ <br> $Date: 2011/05/31 15:25:49 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sf/jibs/util/JibsSet.java">cvs JibsSet.java</a>
 */
public class JibsSet {
	private static Logger logger = Logger.getLogger(JibsSet.class);
	private Map<String, String> setMap;

	public JibsSet(String boardStyle, String lineLength, String pageLength,
			String redoubles, String sortwho, String timeZone) {
		setMap = new HashMap<String, String>();
		setMap.put("boardstyle", boardStyle);
		setMap.put("linelength", lineLength);
		setMap.put("pagelength", pageLength);
		setMap.put("redoubles", redoubles);
		setMap.put("sortwho", sortwho);
		setMap.put("timezone", timeZone);
	}

	public String get(String key) {
		String obj = setMap.get(key);

		if (obj != null) {
			return obj;
		}

		logger.warn("JibsSet:get(" + key + ") not defined.");

		return null;
	}

	public Map<String, String> getSetMap() {
		return setMap;
	}
}
